volumes
Get volume by ID
Get volume by ID
GET
/
volumes
/
{id}
Get volume by ID
curl --request GET \
--url https://mycluster.domino.tech/remotefs/v1/volumes/{id}import requests
url = "https://mycluster.domino.tech/remotefs/v1/volumes/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/remotefs/v1/volumes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacity": 123,
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"dataPlaneId": "<string>",
"filesystemId": "<string>",
"id": "<string>",
"maxSnapshots": 123,
"name": "<string>",
"numSnapshots": 123,
"path": "<string>",
"status": "Active",
"uniqueName": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>",
"filesystemName": "<string>",
"grants": [
{
"isOrganization": true,
"targetId": "<string>",
"targetName": "<string>",
"targetRole": "VolumeOwner"
}
],
"lastMountedTime": "<string>",
"projects": [
{
"addedAt": "<string>",
"addedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"name": "<string>",
"projectId": "<string>",
"volumeId": "<string>"
}
],
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"status": "<string>",
"type": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"userID": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"storageSize": 123,
"taxonomyTags": [
{
"description": "<string>",
"fullPath": [
"<string>"
],
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"namespaceLabel": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
ID of volume to retrieve
Response
OK
Maximum size in bytes
Show child attributes
Show child attributes
Available options:
Active, MarkedForDeletion, Deleted Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Used size in bytes
Show child attributes
Show child attributes
Last modified on June 26, 2026
Related topics
Get grants by Volume IDGet volume mounts by project IDGet snapshot by volume ID and snapshot versionGet filesystem by IDWas this page helpful?
⌘I
Get volume by ID
